#ifndef __CA_WALLS_IO_H__
#define __CA_WALLS_IO_H__

#include <string>
#include <map>

#include <primitives/Cuboid.h>

namespace ca
{
    namespace io
    {
        static const int WALL_EXCEEDS_CUBOID_COUNT = 2;

        extern int readWalls( std::map<int, am::Cuboid::TYPE>      & walls
                              , std::string                   const& path
                              , int                           const* cuboid_count
                              , bool                          const  verbose        = false);
        extern std::string writeWalls( am::Cuboid::TypeMap  const& walls
                                       , std::string        const& path
                                       , int                const  cuboid_count );
    };
} // ... namespace ca

#endif // __CA_WALLS_IO_H__
