function ret = getPlate( plane )
    while ( hasPeak(plane) )
        [ m, id ] = max(plane);
        disp(sprintf('removing plane(%d)=%f',[id,plane(id)]))
        plane(id) = NaN;
        plane = plane(~isnan(plane));
%         if ( id > 1 )
%             if ( id < length(plane) )
%                 plane = plane( [1:id-1, id+1:end] );
%             else
%                 plane = plane( [1:id-1] );
%             end
%         else
%             plane = plane( [id+1:end] );
%         end
    end
    ret = median(plane);
    %figure();
    %plot(plane);
    %hold on;
    %line( [0,length(plane)], [ret,ret], 'LineStyle','--');
end

function ret = hasPeak( plane )
    normalized = plane ./ max(plane);
    sum(normalized)/length(normalized)
    ret = sum(normalized)/length(normalized) < .15;
end
