#ifndef __CA_PRIMITIVES_IO_H__
#define __CA_PRIMITIVES_IO_H__

#include <sstream>
#include "primitives/Plane.h"

namespace ca
{
    namespace io
    {
        inline std::string printMoosPlane( am::Plane const& plane )
        {
            std::stringstream ss;
            ss << "p=[";
            for ( int i = 0; i != plane.Corners().size(); ++i )
            {
                ss << "(" << plane.Corners()[i].x << "," << plane.Corners()[i].y << "," << plane.Corners()[i].z << ")";
                if ( i+1 != plane.Corners().size() ) ss << ", ";
            }
            ss << "]";

            return ss.str();
        }
    }
}

#endif // __CA_PRIMITIVES_IO_H__
