#ifndef AMDEFINES_H
#define AMDEFINES_H

#ifdef MY_ASSERT
#   error "amDefines.h: MY_ASSERT alredy defined"
#else
#   include <iostream>
#   define MY_ASSERT(x) {if(!(x)){std::cerr<<"Assertion error: "<<#x<<" in "<<__FILE__<<" at line "<<__LINE__<<std::endl;}}
#endif

#ifdef SAFE_DELETE
//#   warning "amDefines.h: SAFE_DELETE alredy defined"
#else
#   define SAFE_DELETE(a) {if(a){delete (a);a=NULL;}}
#endif

#ifdef SAFE_CLEAR_VECTOR
#   error "amDefines.h: SAFE_DELETE_VECTOR alredy defined"
#else
#   define SAFE_CLEAR_VECTOR(a) {for(size_t vi=0;vi!=a.size();++vi){if(a[vi]){delete (a[vi]);a[vi]=NULL;}}a.clear();}
#endif


#ifdef RANDF_DEFINED
#   error "amDefines.h: RANDF alredy defined"
#else
#   define RANDF_DEFINED
    inline float RANDF(float m=1.f) {return m * rand() / (static_cast<float>(RAND_MAX) - 1.f);}
#endif

#ifdef SQR
#   error "amDefines.h: SQR alredy defined"
#else
#   define SQR(a) ((a)*(a))
#endif

#endif // AMDEFINES_H
